 using System;
using Microsoft.SPOT;

namespace Robot_F6
{
    public class BreakCommand : ICommand
    {
        private IDualMotorDriver _dualMotorDriver;

        public BreakCommand(IDualMotorDriver dualMotorDriver)
        {
            _dualMotorDriver = dualMotorDriver;
        }

        public void Execute()
        {
            _dualMotorDriver.Break();
        }
    }
}
