using System;
using Microsoft.SPOT;

namespace Robot_F6
{
    public class DelegatedCommand : ICommand
    {
        public delegate void DoSomething();
        private DoSomething _doSomething;
        public DelegatedCommand(DoSomething doSomething)
        {
            _doSomething = doSomething;
        }

        public void Execute()
        {
            _doSomething();
        }
    }
}
