using System;
using Microsoft.SPOT;

namespace Robot_F6
{
    public class MoveForwardsCommand : ICommand
    {
        private IDualMotorDriver _dualMotorDriver;

        public MoveForwardsCommand(IDualMotorDriver dualMotorDriver)
        {
            _dualMotorDriver = dualMotorDriver;
        }

        public void Execute()
        {
            _dualMotorDriver.MoveForwards();
        }
    }
}
