using System;
using Microsoft.SPOT;

namespace Robot_F6
{
    public class MoveLeftBackwardsCommand : ICommand
    {
        private IDualMotorDriver _dualMotorDriver;

        public MoveLeftBackwardsCommand(IDualMotorDriver dualMotorDriver)
        {
            _dualMotorDriver = dualMotorDriver;
        }

        public void Execute()
        {
            _dualMotorDriver.MoveLeftBackwards();
        }
    }
}
