using System;
using Microsoft.SPOT;

namespace Robot_F6
{
    public class MoveLeftForwardsCommand : ICommand
    {
        private IDualMotorDriver _dualMotorDriver;

        public MoveLeftForwardsCommand(IDualMotorDriver dualMotorDriver)
        {
            _dualMotorDriver = dualMotorDriver;
        }

        public void Execute()
        {
            _dualMotorDriver.MoveLeftForwards();
        }
    }
}
