using System;
using Microsoft.SPOT;
using Gadgeteer.Modules.Seeed;

namespace Robot_F6
{
    public class TemperatureHumidityModuleWrapper : IHumidityMeasurer, ITemperatureMeasurer
    {
        private double _humidity = 0;
        private double _temperature = 0;

        private TemperatureHumidity _temperatureHumidityModule;

        public TemperatureHumidityModuleWrapper(TemperatureHumidity temperatureHumidityModule)
        {
            _temperatureHumidityModule = temperatureHumidityModule;
        }

        public double GetHumidity()
        {
            return _humidity;
        }

        public void SetHumidity(double humidity)
        {
            _humidity = humidity;
        }

        public double GetTemperature()
        {
            return _temperature;
        }
        public void SetTemperature(double temperature)
        {
            _temperature = temperature;
        }
    }
}
