using System;
using Microsoft.SPOT;

namespace Robot_F6
{
    public class MoveBackwardsCommand : ICommand
    {
        private IDualMotorDriver _dualMotorDriver;

        public MoveBackwardsCommand(IDualMotorDriver dualMotorDriver)
        {
            _dualMotorDriver = dualMotorDriver;
        }

        public void Execute()
        {
            _dualMotorDriver.MoveBackwards();
        }
    }
}
