using System;
using Microsoft.SPOT;

namespace Robot_F6
{
    public class MoveRightForwardsCommand : ICommand
    {
        private IDualMotorDriver _dualMotorDriver;

        public MoveRightForwardsCommand(IDualMotorDriver dualMotorDriver)
        {
            _dualMotorDriver = dualMotorDriver;
        }

        public void Execute()
        {
            _dualMotorDriver.MoveRightForwards();
        }
    }
}
