using System;
using Microsoft.SPOT;

namespace Robot_F6
{
    public class SlowCommand : ICommand
    {
        private IDualMotorDriver _dualMotorDriver;

        public SlowCommand(IDualMotorDriver dualMotorDriver)
        {
            _dualMotorDriver = dualMotorDriver;
        }

        public void Execute()
        {
            _dualMotorDriver.Slow();
        }
    }
}
