using System;
using Microsoft.SPOT;

namespace Robot_F6
{
    public class StartCommand : ICommand
    {
        private IDualMotorDriver _dualMotorDriver;

        public StartCommand(IDualMotorDriver dualMotorDriver)
        {
            _dualMotorDriver = dualMotorDriver;
        }

        public void Execute()
        {
            _dualMotorDriver.MoveForwards();
            _dualMotorDriver.NormalSpeed();
        }
    }
}
