using System;
using Microsoft.SPOT;

namespace Robot_F6
{
    public class StopCommand : ICommand
    {
        private IDualMotorDriver _dualMotorDriver;

        public StopCommand(IDualMotorDriver dualMotorDriver)
        {
            _dualMotorDriver = dualMotorDriver;
        }

        public void Execute()
        {
            _dualMotorDriver.Stop();
        }
    }
}
