using System;
using Microsoft.SPOT;
using Gadgeteer.Modules.GHIElectronics;
using GT = Gadgeteer;
using GTM = Gadgeteer.Modules;
using Gadgeteer.Interfaces;
using Gadgeteer.Modules.Seeed;
namespace Robot_F6
{
    public class F6Factory
    {
        public static IMotor CreateMotor(GT.Interfaces.DigitalOutput contact1, GT.Interfaces.DigitalOutput contact2)
        {
            return new Motor(contact1, contact2);
        }

        public static IDualMotorDriver CreateDualMotorDriver(int socketNumber, DigitalOutput m1a, DigitalOutput m1b, DigitalOutput m2a, DigitalOutput m2b)
        {
            return new L298_H_BridgeDriver(socketNumber, m1a, m1b, m2a, m2b);
        }

        public static IWebRequestHandler CreateWebRequestHandler()
        {
            return new WebRequestHandler();
        }
    }
}
